CentBrowser Forum
NPAPI Support? - Printable Version

+- CentBrowser Forum (https://www.centbrowser.com/forum)
+-- Forum: Product Related (https://www.centbrowser.com/forum/forumdisplay.php?fid=1)
+--- Forum: Bugs & Suggestions (https://www.centbrowser.com/forum/forumdisplay.php?fid=4)
+--- Thread: NPAPI Support? (/showthread.php?tid=51)



NPAPI Support? - JD2 - 08-08-2015

I have yet to try CentBrowser, but I am looking for a Chromium-based browser that still has and will maintain NPAPI plug-in support in the future.  Does CentBrowser still support NPAPI plug-ins like the Unity engine web plug-in?  Google has completely removed NPAPI support in the latest builds of Chromium and Chrome.


RE: NPAPI Support? - CentBrowser - 08-08-2015

Before Chromium 45, you can enable NPAPI support in chrome://flags/#enable-npapi
From later versions, NPAPI will be completely removed from Chromium.And I don't think there will be Chromium-based browsers that support NPAPI all the time.

Don't be frustrated, porting from NPAPI to NativeMessagingHost(the new mechanism) is not so difficult for the plugin providers.


RE(2): NPAPI Support? - JD2 - 08-09-2015

NPAPI is now completely removed from official Chromium.  The flag or command-line switch to enable it no longer works.  However, there is no technical reason why source ports of Chromium like CentBrowser couldn't continue to support NPAPI plug-ins as the source code for NPAPI support is still available.  Therefore my question is will CentBrowser support NPAPI?

(08-08-2015, 12:17 PM)CentBrowser Wrote: Don't be frustrated, porting from NPAPI to NativeMessagingHost(the new mechanism) is not so difficult for the plugin providers.

It is difficult enough that many major plug-in providers like Unity have not migrated and have no plans to do it.  And, even if Unity ported its plug-in, it would do nothing to run the tens of thousands of web-based games which have already been released and rely on the NPAPI plug-in.